package cn.reghao.oss.console.app.db.repository;

import cn.reghao.oss.console.app.model.po.UserNode;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @author reghao
 * @date 2024-02-27 09:49:12
 */
public interface UserNodeRepository extends JpaRepository<UserNode, Integer> {
    int countByNodeId(int nodeId);
    UserNode findByCreateByAndNodeId(int createBy, int nodeId);
    List<UserNode> findByCreateBy(int createBy);
    UserNode findByDomain(String domain);
    UserNode findById(int id);
}
